Panda3D

Loading...
Searching...
No Matches
Macros | Functions
openalAudioManager.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "config_audio.h"`
`#include "config_putil.h"`
`#include "config_express.h"`
`#include "config_openalAudio.h"`
`#include "openalAudioManager.h"`
`#include "openalAudioSound.h"`
`#include "virtualFileSystem.h"`
`#include "movieAudio.h"`
`#include "reMutexHolder.h"`
`#include <algorithm>`

Go to the source code of this file.

## Macros
#define | ALC_ALL_DEVICES_SPECIFIER 0x1013
#define | ALC_DEFAULT_ALL_DEVICES_SPECIFIER 0x1012

## Functions
void | al_audio_errcheck (const char *context)
void | alc_audio_errcheck (const char *context, ALCdevice *device)
AudioManager * | Create_OpenALAudioManager ()
| Factory Function.
| PT (AudioSound) OpenALAudioManager
| This is what creates a sound instance.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  Ben Buchwald bb2@a.nosp@m.lumn.nosp@m.i.cmu.nosp@m..edu

Definition in file openalAudioManager.cxx.

## Macro Definition Documentation

## ◆ ALC_ALL_DEVICES_SPECIFIER

#define ALC_ALL_DEVICES_SPECIFIER 0x1013

Definition at line 33 of file openalAudioManager.cxx.

## ◆ ALC_DEFAULT_ALL_DEVICES_SPECIFIER

#define ALC_DEFAULT_ALL_DEVICES_SPECIFIER 0x1012

Definition at line 29 of file openalAudioManager.cxx.

## Function Documentation

## ◆ al_audio_errcheck()

void al_audio_errcheck | ( | const char * | context | ) |

Definition at line 56 of file openalAudioManager.cxx.

## ◆ alc_audio_errcheck()

void alc_audio_errcheck | ( | const char * | context,
|  | ALCdevice * | device )

Definition at line 63 of file openalAudioManager.cxx.

## ◆ Create_OpenALAudioManager()

AudioManager * Create_OpenALAudioManager | ( |  | ) |

Factory Function.

Definition at line 73 of file openalAudioManager.cxx.

Referenced by get_audio_manager_func_openal_audio(), and init_libOpenALAudio().

## ◆ PT()

PT | ( | AudioSound |  | ) |

This is what creates a sound instance.

Definition at line 472 of file openalAudioManager.cxx.

References OpenALAudioManager::is_valid().